package ch.epfl.lpd.ids.serialization;

/**
 * Class extending the {@link ch.epfl.lpd.ids.serialization.Message}
 * specification.
 * @author Sebastien Baehni
 */
public class MyMessage extends Message {
    
    /**
     * Creates a new instance of MyMessage. This instance sets the
     * header and the data of the message.
     * @param header The header of the message.
     * @param data The data of the message.
     */
    public MyMessage(String header, byte[] data) {
        super(header,data);
    }
    
    
    /**
     * Method used to print this message as a string representation.
     * @return The string representation of this message.
     */
    public String toString() {
        return " MyHeader: "+ this.header+ " MyData: "+new String(this.data);
    }
    
    
    
}
